org.mariadb.jdbc.internal.mysql

## Enum MySQLType

- java.lang.Object
- - java.lang.Enum<MySQLType>
  - - org.mariadb.jdbc.internal.mysql.MySQLType

All Implemented Interfaces:
  Serializable, Comparable<MySQLType>

    public enum MySQLType
    extends Enum<MySQLType>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`BIGINT`
`BIT`
`BLOB`
`DATE`
`DATETIME`
`DECIMAL`
`DOUBLE`
`ENUM`
`FLOAT`
`GEOMETRY`
`INTEGER`
`LONGBLOB`
`MEDIUMBLOB`
`MEDIUMINT`
`NEWDATE`
`NULL`
`OLDDECIMAL`
`SET`
`SMALLINT`
`STRING`
`TIME`
`TIMESTAMP`
`TINYBLOB`
`TINYINT`
`VARCHAR`
`VARSTRING`
`YEAR`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static MySQLType` `fromServer(int typeValue)`
`String` `getClassName()`
`static String` `getClassName(MySQLType t, int len, boolean signed, boolean binary, int flags)`
`static String` `getColumnTypeName(MySQLType t, long len, boolean signed, boolean binary)`
`int` `getSqlType()`
`int` `getType()`
`String` `getTypeName()`
`static boolean` `isNumeric(MySQLType t)`
`static MySQLType` `toServer(int javaType)`
`static MySQLType` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static MySQLType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### OLDDECIMAL

    public static final MySQLType OLDDECIMAL

#### TINYINT

    public static final MySQLType TINYINT

#### SMALLINT

    public static final MySQLType SMALLINT

#### INTEGER

    public static final MySQLType INTEGER

#### FLOAT

    public static final MySQLType FLOAT

#### DOUBLE

    public static final MySQLType DOUBLE

#### NULL

    public static final MySQLType NULL

#### TIMESTAMP

    public static final MySQLType TIMESTAMP

#### BIGINT

    public static final MySQLType BIGINT

#### MEDIUMINT

    public static final MySQLType MEDIUMINT

#### DATE

    public static final MySQLType DATE

#### TIME

    public static final MySQLType TIME

#### DATETIME

    public static final MySQLType DATETIME

#### YEAR

    public static final MySQLType YEAR

#### NEWDATE

    public static final MySQLType NEWDATE

#### VARCHAR

    public static final MySQLType VARCHAR

#### BIT

    public static final MySQLType BIT

#### DECIMAL

    public static final MySQLType DECIMAL

#### ENUM

    public static final MySQLType ENUM

#### SET

    public static final MySQLType SET

#### TINYBLOB

    public static final MySQLType TINYBLOB

#### MEDIUMBLOB

    public static final MySQLType MEDIUMBLOB

#### LONGBLOB

    public static final MySQLType LONGBLOB

#### BLOB

    public static final MySQLType BLOB

#### VARSTRING

    public static final MySQLType VARSTRING

#### STRING

    public static final MySQLType STRING

#### GEOMETRY

    public static final MySQLType GEOMETRY

### Method Detail

#### values

    public static MySQLType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (MySQLType c : MySQLType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static MySQLType valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### isNumeric

    public static boolean isNumeric(MySQLType t)

#### getClassName

    public static String getClassName(MySQLType t,
                                      int len,
                                      boolean signed,
                                      boolean binary,
                                      int flags)

#### getColumnTypeName

    public static String getColumnTypeName(MySQLType t,
                                           long len,
                                           boolean signed,
                                           boolean binary)

#### fromServer

    public static MySQLType fromServer(int typeValue)

#### toServer

    public static MySQLType toServer(int javaType)

#### getSqlType

    public int getSqlType()

#### getTypeName

    public String getTypeName()

#### getType

    public int getType()

#### getClassName

    public String getClassName()